#include <os/ArgumentParser.h>

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(int argc, char** argv)
{
    StringView date;

    ArgumentParser parser;
    parser.add_value_argument(date, 'd', "date"_sv, false);
    parser.parse(argc, argv);

    time_t now;
    if (date.is_empty()) { now = time(NULL); }
    else { now = strtol(date.chars(), nullptr, 10); }

    fputs(ctime(&now), stdout);
}
